Loading...
Searching...
No Matches
Swagger::TagObject Class Reference

Allows adding metadata to a single tag that is used by the OperationObject. It is not mandatory to have a TagObject per tag used there. More...

Inheritance diagram for Swagger::TagObject:
[legend]

## Public Member Functions

| constructor (hash< auto > oh)
| Constructor.
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes

*string | desc
| A short description for the tag. GFM syntax can be used for rich text representation.
*ExternalDocumentationObject | externalDocs
| Additional external documentation for this tag.
string | name
| Required. The name of the tag.
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Detailed Description

Allows adding metadata to a single tag that is used by the OperationObject. It is not mandatory to have a TagObject per tag used there.

## Member Function Documentation

## constructor()

Swagger::TagObject::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing a metadata tag associated with an operation

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing